import GlobalEvents from "../Events/GlobalEvents";
export interface IBaseViewOptions extends Jade.UI.IControlOptions {
    eventBus?: GlobalEvents;
}
export declare class BaseView extends Jade.UI.Control {
    private m_eventBus;
    constructor(options: IBaseViewOptions);
    protected get eventBus(): GlobalEvents;
}
